package com.liquidnet.service.account.wallet.entity;

import java.time.LocalDateTime;

public class FinWallet {
    private String walletNo;

    private String currency;

    private String alias;

    private Integer status;

    private Integer payStatus;

    private String finId;

    private String userExtId;

    private String userExtName;

    private LocalDateTime createTime;

    private String createOperator;

    private LocalDateTime updateTime;

    private String updateOperator;

    private LocalDateTime closingTime;

    private String closingOperator;

    public String getWalletNo() {
        return walletNo;
    }

    public void setWalletNo(String walletNo) {
        this.walletNo = walletNo == null ? null : walletNo.trim();
    }

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency == null ? null : currency.trim();
    }

    public String getAlias() {
        return alias;
    }

    public void setAlias(String alias) {
        this.alias = alias == null ? null : alias.trim();
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getPayStatus() {
        return payStatus;
    }

    public void setPayStatus(Integer payStatus) {
        this.payStatus = payStatus;
    }

    public String getFinId() {
        return finId;
    }

    public void setFinId(String finId) {
        this.finId = finId == null ? null : finId.trim();
    }

    public String getUserExtId() {
        return userExtId;
    }

    public void setUserExtId(String userExtId) {
        this.userExtId = userExtId == null ? null : userExtId.trim();
    }

    public String getUserExtName() {
        return userExtName;
    }

    public void setUserExtName(String userExtName) {
        this.userExtName = userExtName == null ? null : userExtName.trim();
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public String getCreateOperator() {
        return createOperator;
    }

    public void setCreateOperator(String createOperator) {
        this.createOperator = createOperator == null ? null : createOperator.trim();
    }

    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateOperator() {
        return updateOperator;
    }

    public void setUpdateOperator(String updateOperator) {
        this.updateOperator = updateOperator == null ? null : updateOperator.trim();
    }

    public LocalDateTime getClosingTime() {
        return closingTime;
    }

    public void setClosingTime(LocalDateTime closingTime) {
        this.closingTime = closingTime;
    }

    public String getClosingOperator() {
        return closingOperator;
    }

    public void setClosingOperator(String closingOperator) {
        this.closingOperator = closingOperator == null ? null : closingOperator.trim();
    }
}
